package routers

import (
	"spaceofcheng/services/controllers/course"
	"spaceofcheng/services/controllers/customer"
	"spaceofcheng/services/controllers/goods"
	"spaceofcheng/services/controllers/gymcard"

	"github.com/astaxie/beego"
)

func getWechatRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::wechat")

	return beego.NSNamespace(prefix,
		// 会员
		beego.NSRouter("/customer", &customer.CustomerController{}, "get:GetCustWXByID"),

		// 下单
		beego.NSRouter("/order/goods", &goods.GoodsController{}, "post:PostOrder"),
		beego.NSRouter("/order/course", &course.CourseController{}, "post:PostOrder"),

		// 课程
		beego.NSRouter("/course/user", &course.CourseController{}, "get:GetCustomerCourse"),
		beego.NSRouter("/course/user/:id", &course.CourseController{}, "get:GetCustomerCourseByID"),

		// 商品订单
		beego.NSRouter("/goods/user", &goods.GoodsController{}, "get:GetCustomerOrders"),

		// 案场订单数量
		beego.NSRouter("/goods/case/:caseid", &goods.GoodsController{}, "get:GetCaseOrdersNum"),

		// 客户游泳健身卡
		beego.NSRouter("/gymcard", &gymcard.GymcardController{}, "get:GetGymcardListByCustomerId"),
		beego.NSRouter("/gymcard/:customerGymId", &gymcard.GymcardController{}, "get:GetCustomerGymDetailById"),
		beego.NSRouter("/gymcard/:gymcardId/:sysuserId", &gymcard.GymcardController{}, "post:SendGymToCustomer"),
	)
}
